services:
  pocketbase:
    image: ghcr.io/coollabsio/pocketbase:latest
    environment:
      - SERVICE_FQDN_POCKETBASE_8080
    volumes:
      - ./.pb/pocketbase-data:/app/pb_data
      - ./.pb/pocketbase-hooks:/app/pb_hooks
    ports:
      - 3001:8080

  blazegraph:
      image: conjecto/blazegraph:2.1.5
      ports:
        - 9999:9999
      environment:
          JAVA_OPTS: "-Xms6G -Xmx6G"
      volumes:
        - ./datatourisme/dataset:/docker-entrypoint-initdb.d
      ulimits:
        nofile:
          soft: 65536
          hard: 65536
  datatourisme:
      build: datatourisme/docker
      ports:
          - "8080:80"
      depends_on:
          - blazegraph
